#!/bin/ksh
# //
# //  COMPONENT_NAME: ejb
# //
# //  MODULE_NAME: jetace
# //
# //  ORIGINS: 27
# //
# //  IBM Confidential OCO Source Material
# //  5639-D57 (C) COPYRIGHT International Business Machines Corp. 1999
# //  The source code for this program is not published or otherwise divested
# //  of its trade secrets, irrespective of what has been deposited with the
# //  U.S. Copyright Office.
# //
# //  DESCRIPTION:
# //      Script file used to invoke the jetace tool.
# //      The jetace tool builds/views/modifies ejb-jar files.
# //
# //  DEPENDENCIES:
# //      JAVA_HOME environment variable must be set.

. $PWD/setupCmdLine.sh 

if [ "$EJBTEMP" = "" ]
then
  EJBTEMP=/tmp
fi

WORKDIR=$EJBTEMP/jetace.$$

if [ ! -d $WORKDIR ]
then
  mkdir -p $WORKDIR
fi

CP=$WORKDIR
CP=$CP:$WAS_HOME/lib/ivbjfaceall.jar
CP=$CP:$WAS_HOME/lib/BEXruntime.jar
CP=$CP:$WAS_HOME/lib/developBEX.jar
CP=$CP:$WAS_HOME/lib/jetace.jar
CP=$CP:$WAS_HOME/lib/ejs.jar
CP=$CP:$WAS_HOME/lib/ujc.jar
CP=$CP:$WAS_HOME/lib/vaprt.jar
CP=$CP:$WAS_HOME/lib/xml4j.jar
CP=$CP:$WAS_HOME/lib/swingall.jar
CP=$CP:$JAVA_HOME/lib/classes.zip
CP=$CP:$CLASSPATH
CLASSPATH=$CP
export CLASSPATH

$JAVA_HOME/bin/java -Dcom.ibm.beans.BeanWorkingDirectory=$WORKDIR com.ibm.ejb.jetjar.JetAceMain $1 $2 $3

rm -f $WORKDIR/*.html
rmdir $WORKDIR
